<div class="container m-4 p-4 d-flex flex-row justify-content-center">
  <div class="card w-75">
    <div class="card-header">
      <h2>Formulaire Reactive Angular (Reactive Form)</h2>
    </div>
    <div class="card-body">
      <form action="" [formGroup]="myGroup" (ngSubmit)="validation()">
        <h2>Coordonnees :</h2>
        <div class="row my-3">
          <div class="col-6">
            <small *ngIf="!firstname.invalid"><i class="bi bi-check-circle text-success"></i></small>
            <label for="firstname">FirstName : </label>
            <input
              type="text"
              formControlName="firstname"
              class="form-control"
            />
            <div
              *ngIf="firstname.invalid && firstname.touched"
              class="text-danger"
            >
              <div *ngIf="firstname.errors">
                <small>Le champ est requis</small>
              </div>
            </div>
          </div>
          <div class="col-6">
            <small *ngIf="!lastname.invalid"><i class="bi bi-check-circle text-success"></i></small>
            <label for="lastname">LastName : </label>
            <input
              type="text"
              formControlName="lastname"
              class="form-control"
            />
            <div
              *ngIf="lastname.invalid && lastname.touched"
              class="text-danger"
            >
              <div *ngIf="lastname.errors">
                <small>Le champ est requis</small>
              </div>
            </div>
          </div>
        </div>
        <div class="row my-3">
          <div class="col-6">
            <small *ngIf="!email.invalid"><i class="bi bi-check-circle text-success"></i></small>
            <label for="email">Email : </label>
            <input type="email" formControlName="email" class="form-control" />
            <div *ngIf="email.invalid && email.touched" class="text-danger">
              <div *ngIf="email.errors?.['required']">
                <small>Le champ est requis</small>
              </div>
              <div *ngIf="email.errors?.['pattern']">
                <small
                  >Un format email est requis avec extension .fr et .com</small
                >
              </div>
            </div>
          </div>
          <div class="col-6">
            <small *ngIf="!password.invalid"><i class="bi bi-check-circle text-success"></i></small>
            <label for="password">Password : </label>
            <input
              type="password"
              formControlName="password"
              class="form-control"
            />
            <div
              *ngIf="password.invalid && password.touched"
              class="text-danger"
            >
              <div *ngIf="password.errors?.['required']">
                <small>Le champ est requis</small>
              </div>
              <div *ngIf="password.errors?.['pattern']">
                <small
                  ><ul>
                    <li>Longueur d'au moins 8 caractères</li>
                    <li>1 lettre majuscule - 1 lettre minuscule</li>
                    <li>1 caractère spéciale - 1 chiffre</li>
                  </ul></small
                >
              </div>
            </div>
          </div>
        </div>
        <div class="mt-4">
          <h2>Adresses :</h2>
          <div class="row my-3">
            <div class="col-6">
              <small *ngIf="!street.invalid"><i class="bi bi-check-circle text-success"></i></small>
              <label for="street">Street : </label>
              <input
                type="text"
                formControlName="street"
                class="form-control"
              />
              <div *ngIf="street.invalid && street.touched" class="text-danger">
                <div *ngIf="street.errors?.['required']">
                  <small>Le champ est requis</small>
                </div>
              </div>
            </div>
            <div class="col-6">
              <label for="city">City : </label>
              <small *ngIf="!city.invalid"><i class="bi bi-check-circle text-success"></i></small>
              <input type="text" formControlName="city" class="form-control" />
              <div *ngIf="city.invalid && city.touched" class="text-danger">
                <div *ngIf="city.errors">
                  <small>Le champ est requis</small>
                </div>
              </div>
            </div>
          </div>
          <div class="row my-3">
            <div class="col-4">
              <small *ngIf="!state.invalid"><i class="bi bi-check-circle text-success"></i></small>
              <label for="state">State : </label>
              <input type="text" formControlName="state" class="form-control" />
              <div *ngIf="state.invalid && state.touched" class="text-danger">
                <div *ngIf="state.errors">
                  <small>Le champ est requis</small>
                </div>
              </div>
            </div>
            <div class="col-4">
              <small *ngIf="!zip.invalid"><i class="bi bi-check-circle text-success"></i></small>
              <label for="zip">Zip Code : </label>
              <input type="text" formControlName="zip" class="form-control" />
              <div *ngIf="zip.invalid && zip.touched" class="text-danger">
                <div *ngIf="zip.errors?.['required']">
                  <small>Le champ est requis</small>
                </div>
                <div *ngIf="zip.errors?.['maxlength']">
                  <small>Le code postal doit être de 5 caractères</small>
                </div>
              </div>
            </div>
            <div class="col-4">
              <small *ngIf="!tel.invalid"><i class="bi bi-check-circle text-success"></i></small>
              <label for="tel">Téléphone : </label>
              <input type="text" formControlName="tel" class="form-control" />
              <div *ngIf="tel.invalid && tel.touched" class="text-danger">
                <div *ngIf="tel.errors?.['required']">
                  <small>Le champ est requis</small>
                </div>
                <div *ngIf="tel.errors?.['pattern']">
                  <small>Le téléphone doit être de format français</small>
                </div>
              </div>
            </div>
          </div>
        </div>
        <button
          type="submit"
          class="btn btn-primary"
          [disabled]="!myGroup.valid"
        >
          Validation
        </button>
      </form>
    </div>
  </div>
</div>
